# pdf

## Name

pdf — An encoded PDF document

## Synopsis

Content Model

    pdf ::= (#PCDATA)

Attributes
Name | Type
`encoding` | CDATA (required)

## Description

A `pdf` element contains a single PDF document, encoded in a printable format. The precise encoding format is specified by the `encoding` attribute (see below).

Whitespace and line breaks within this element are not relevant and can be ignored.

### Parents

The following elements contain `pdf`: `packet` (PDF).

### Children

Element `pdf` has no children.

### Attributes

`encoding`

  Specifies how the binary PDF document is encoded in printable format. Possible values are `base64` (indicating a base64 encoding with printable character set `A-Za-z0-9+/`), or `null` (indicating that the PDF document is empty, i.e., a zero-byte file).